/* -------------------------------------------------------
 *   Restarter.es
 *  Author:    G. Wade Johnson
 *  Created:   10/18/2008
 *  Copyright 2008 G. Wade Johnson
 *  Available for any use if this notice is maintained.
 *
 * Launch a new page after some number of minutes.
 */


// Here's our class for tracking the speed of the program
function relaunch( minutes, list, stop )
{
    var current = document.URL.toString();
    var wait_time = minutes * 60 * 1000; 
    var next = find_next( list, current );
    if( next == '' )
    {
        next = 'end.svg';
    }

    setTimeout( function() {
            if( null != stop ) stop();
            window.location = next;
        },
        wait_time
    );
}

function find_next( list, curr )
{
    var i;
    for(i = 0; i < list.length-1; ++i)
    {
        // Handle exact matches.
        if(list[i] == curr)
            return list[i+1];

        // Handle relative paths
        var index = curr.indexOf( list[i] );
        if(-1 == index) continue;
        if(0 != index && '/' != curr.charAt(index-1)) continue;

        if(index+list[i].length == curr.length)
            return list[i+1];
    }
    return '';
}
